Britive platform release 2026.03.02 is now live in production.

Manage system announcements

Prev Next
Post
/api/settings/banner
Security
HTTP
Type bearer
Body parameters
{
  "status": "ON",
  "messageType": "INFO",
  "message": "Test message.",
  "messageSchedule": {
    "startDate": "2024-02-20T20:00:00Z",
    "endDate": "2024-02-21T20:00:00Z",
    "timeZone": "Asia/Kolkata"
  }
}
Expand All
object
status
string Required

Allowed values are 'ON' and 'OFF'

messageType
string

Allowed values are 'INFO', 'WARNING' and 'CAUTION'

message
string
messageSchedule
object (MessageSchedule)
startDate
string

Expected date format is 'yyyy-MM-dd HH:mm:ss'

endDate
string

Expected date format is 'yyyy-MM-dd HH:mm:ss'

timeZone
string

Valid time zone values according to standards.

Responses
201

Banner updated successfully

Expand All
object
status
string

Allowed values are 'ON' and 'OFF'

messageType
string

Allowed values are 'INFO', 'WARNING' and 'CAUTION'

message
string
messageSchedule
object (MessageSchedule)
startDate
string

Expected date format is 'yyyy-MM-dd HH:mm:ss'

endDate
string

Expected date format is 'yyyy-MM-dd HH:mm:ss'

timeZone
string

Valid time zone values according to standards.